package solver

import (
	"fmt"
)

func Run() {
	solver := Solver{}
	solver.row1 = "769104802"
	solver.row2 = "154800060"
	solver.row3 = "002700150"
	solver.row4 = "600900308"
	solver.row5 = "045328670"
	solver.row6 = "328670945"
	solver.row7 = "597410280"
	solver.row8 = "006283090"
	solver.row9 = "200590006"

	// Load blocks from CSV file
	solver.load_blocks()

	// Find rows that fit with the entered rows
	solver.populate_blocks()

	// Print the total number of solutions to validate
	fmt.Println("Number of solutions:", solver.iter)

	solver.check_combinations()

	fmt.Println(solver.solutions)

}
